resource "incus_storage_volume" "laminar_var_lib_laminar" {
  name = "laminar_var_lib_laminar"
  pool = incus_storage_pool.default.name
  content_type = "block"
  config = {
    "size" = "50GiB"
  }
}

resource "incus_storage_volume" "laminar_var_lib_incus" {
  name = "laminar_var_lib_incus"
  pool = incus_storage_pool.default.name
  content_type = "block"
  config = {
    "size" = "50GiB"
  }
}

resource "incus_instance" "laminar" {
  name  = "laminar"
  image = "images:ubuntu/24.04"
  type  = "virtual-machine"

  config = {
    "limits.cpu" = 6
    "limits.memory" = "6GiB"
  }

  device {
    name = "root"
    type = "disk"
    properties = {
      size = "25GiB"
      path = "/"
      pool = incus_storage_pool.default.name
    }
  }

  device {
    name = "var_lib_laminar"
    type = "disk"
    properties = {
      # Need to be done manually on the VM: path   = "/var/lib/laminar"
      source = incus_storage_volume.laminar_var_lib_laminar.name
      pool   = incus_storage_pool.default.name
    }
  }

  device {
    name = "var_lib_incus"
    type = "disk"
    properties = {
      # Need to be done manually on the VM: path   = "/var/lib/incus"
      source = incus_storage_volume.laminar_var_lib_incus.name
      pool   = incus_storage_pool.default.name
    }
  }
}
