resource "incus_storage_volume" "linkding_etc_linkding_data" {
  name = "linkding_etc_linkding_data"
  pool = incus_storage_pool.default.name
}

resource "incus_instance" "linkding" {
  name  = "linkding"
  image = "docker:sissbruecker/linkding:1.36.0-plus"

  config = {
    "environment.LD_CSRF_TRUSTED_ORIGINS" = "https://linkding.benoit.jp.net"
    "environment.LD_LOG_X_FORWARDED_FOR" = "true"
  }

  device {
    name = "etc_linkding_data"
    type = "disk"
    properties = {
      path   = "/etc/linkding/data"
      source = incus_storage_volume.linkding_etc_linkding_data.name
      pool   = incus_storage_pool.default.name
    }
  }
}
